<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/SpeechSynthesizerObserverInterface.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a></li><li class="navelem"><a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SpeechSynthesizerObserverInterface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_speech_synthesizer_observer_interface_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_SPEECHSYNTHESIZEROBSERVERINTERFACE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_SPEECHSYNTHESIZEROBSERVERINTERFACE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacesdk_interfaces.html">sdkInterfaces</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html">SpeechSynthesizerObserverInterface</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">   33</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">SpeechSynthesizerState</a> {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea50366a49630a416ab3ccaa004196027e">PLAYING</a>,</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea2c616b2713e2e0aed04b4c4752c88133">FINISHED</a>,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea3d4abc439e310ba7b2e70c6d981e45c2">GAINING_FOCUS</a>,</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea7d5b8c7d718e500924d18317ae2deb86">LOSING_FOCUS</a></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    };</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a26f477d0240cce49258584a79b3661fc">~SpeechSynthesizerObserverInterface</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#ae7387e2d3c6174dace466714ee8dedb4">onStateChanged</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">SpeechSynthesizerState</a> state) = 0;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;};</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a21058defa3e48d1e44f1acc970334ab9">   66</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">operator&lt;&lt;</a>(</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    std::ostream&amp; stream,</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a> state) {</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">switch</span> (state) {</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea50366a49630a416ab3ccaa004196027e">SpeechSynthesizerObserverInterface::SpeechSynthesizerState::PLAYING</a>:</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;PLAYING&quot;</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea2c616b2713e2e0aed04b4c4752c88133">SpeechSynthesizerObserverInterface::SpeechSynthesizerState::FINISHED</a>:</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;FINISHED&quot;</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea3d4abc439e310ba7b2e70c6d981e45c2">SpeechSynthesizerObserverInterface::SpeechSynthesizerState::GAINING_FOCUS</a>:</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;GAINING_FOCUS&quot;</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea7d5b8c7d718e500924d18317ae2deb86">SpeechSynthesizerObserverInterface::SpeechSynthesizerState::LOSING_FOCUS</a>:</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;LOSING_FOCUS&quot;</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    }</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordflow">return</span> stream;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;}</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;}  <span class="comment">// namespace sdkInterfaces</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_SPEECHSYNTHESIZEROBSERVERINTERFACE_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_html_a379b88faa712291cb1064f972ef6298b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">alexaClientSDK::avsCommon::sdkInterfaces::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, const AudioInputProcessorObserverInterface::State &amp;state)</div><div class="ttdef"><b>Definition:</b> AudioInputProcessorObserverInterface.h:85</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_a8ab366983aede83468f6fecd144057fea7d5b8c7d718e500924d18317ae2deb86"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea7d5b8c7d718e500924d18317ae2deb86">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState::LOSING_FOCUS</a></div><div class="ttdoc">In this state, the SpeechSynthesizer is losing the channel focus but not yet considered FINISHED...</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_a26f477d0240cce49258584a79b3661fc"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a26f477d0240cce49258584a79b3661fc">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::~SpeechSynthesizerObserverInterface</a></div><div class="ttdeci">virtual ~SpeechSynthesizerObserverInterface()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_a8ab366983aede83468f6fecd144057fea50366a49630a416ab3ccaa004196027e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea50366a49630a416ab3ccaa004196027e">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState::PLAYING</a></div><div class="ttdoc">In this state, the SpeechSynthesizer is playing back the speech. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacesdk_interfaces_html"><div class="ttname"><a href="namespacesdk_interfaces.html">sdkInterfaces</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_a8ab366983aede83468f6fecd144057fea3d4abc439e310ba7b2e70c6d981e45c2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea3d4abc439e310ba7b2e70c6d981e45c2">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState::GAINING_FOCUS</a></div><div class="ttdoc">In this state, the SpeechSynthesizer is gaining the channel focus while still not playing anything...</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface</a></div><div class="ttdef"><b>Definition:</b> SpeechSynthesizerObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_a8ab366983aede83468f6fecd144057fe"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a></div><div class="ttdeci">SpeechSynthesizerState</div><div class="ttdef"><b>Definition:</b> SpeechSynthesizerObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_ae7387e2d3c6174dace466714ee8dedb4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#ae7387e2d3c6174dace466714ee8dedb4">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::onStateChanged</a></div><div class="ttdeci">virtual void onStateChanged(SpeechSynthesizerState state)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_a8ab366983aede83468f6fecd144057fea2c616b2713e2e0aed04b4c4752c88133"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fea2c616b2713e2e0aed04b4c4752c88133">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState::FINISHED</a></div><div class="ttdoc">In this state, the SpeechSynthesizer is idle and not playing speech. </div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
